<?php
/* Busqueda de registros de la tabla ALM_ItemTipo redefinidos por el usuario. */
class ALM_ItemTipoFN extends BaseALM_ItemTipoFN
{
    public static function selectActivos( $a_Params = null )
    {
        $o_ALM_ItemTipoFN = new ALM_ItemTipoFN();
        $o_ALM_ItemTipoFN->setEstado( "A" );
        if( !is_null( $a_Params ) )
        {
            if( isset( $a_Params['IdItemTipo'] ) )
            {
                $o_ALM_ItemTipoFN->addCondition( ALM_ItemTipoFN::IdItemTipo, "IN", "(".$a_Params['IdItemTipo'].")", false );
            }
            if( isset( $a_Params['IngenieriaFlag'] ) )
            {
                $o_ALM_ItemTipoFN->setIngenieriaFlag( $a_Params['IngenieriaFlag'] );
            }
        }
        $o_ALM_ItemTipoFN->addOrderBy( ALM_ItemTipoFN::DescripcionLocal );
        return $o_ALM_ItemTipoFN->select();
    }
}
?>